const multer = require('multer');
const path = require('path');

// Declarar la ruta de la carpeta (aunque ya exista)
const uploadDir = 'uploads/documentos';

const storage = multer.diskStorage({
    destination: (req, file, cb) => {
        cb(null, uploadDir);
    },
    filename: (req, file, cb) => {
        // Mantener el nombre original del archivo
        const timestamp = Date.now();
        const ext = path.extname(file.originalname);
        const nameWithoutExt = path.basename(file.originalname, ext);
        // Formato: NombreOriginal_timestamp.ext
        cb(null, `${nameWithoutExt}_${timestamp}${ext}`);
    }
});

module.exports = multer({ storage });